> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Funding Settings

> Sets FCM funding configuration for the entity and submits the desired configuration to Prime API for approval.



## OpenAPI

````yaml post /v1/entities/{entity_id}/funding_settings
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/funding_settings:
    post:
      tags:
        - Financing
      summary: Update Funding Settings
      description: >-
        Sets FCM funding configuration for the entity and submits the desired
        configuration to Prime API for approval.
      operationId: PrimeRESTAPI_UpdateFundingSettings
      parameters:
        - name: entity_id
          in: path
          description: Prime Entity ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - automatic_conversion_enabled
                - automatic_excess_return_enabled
                - automatic_loan_enabled
                - designated_funding_portfolio_id
                - excess_funds_target_amount
              type: object
              properties:
                designated_funding_portfolio_id:
                  type: string
                  description: >-
                    Set the Derivatives Funding Portfolio that will be used to
                    fund FCM margin calls and receive excess margin sweeps. Only
                    one portfolio per entity.
                  example: a0724c0c-0f9e-4525-baf4-1aa8fce77eb2
                automatic_conversion_enabled:
                  type: boolean
                  description: >-
                    When true, USDC in your Derivatives Funding Portfolio will
                    be converted to USD to meet FCM margin calls (Auto-Convert
                    USDC).
                automatic_loan_enabled:
                  type: boolean
                  description: >-
                    When true, Coinbase affiliates may initiate loans on your
                    behalf to meet FCM margin calls, per your Lending agreement.
                    Available to Portfolio Margin or Cross Margin clients only.
                    (Auto-Initiate Loans)
                automatic_excess_return_enabled:
                  type: boolean
                  description: >-
                    When true, any FCM account balance above your margin
                    requirements will be automatically swept back to your
                    Derivatives funding portfolio. (Auto-Return Excess Margin)
                excess_funds_target_amount:
                  type: string
                  description: >-
                    Weekend Buying Power: Setting a target amount to maintain in
                    your Futures account above margin requirements. You can only
                    withdraw funds in excess of this amount.
                  example: '1000.00'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.UpdateFundingSettingsResponse
components:
  schemas:
    coinbase.public_rest_api.UpdateFundingSettingsResponse:
      type: object
      properties:
        activity_id:
          type: string
          description: Identifier for the created activity / proposal
        activity_type:
          type: string
          description: Type of the activity (e.g. PCS proposal type)
        num_approvals_remaining:
          type: integer
          description: Number of approvals still required before the change applies
          format: int32

````